# Min Graviditet



## Spotless
Run spotless to check codestyle and copyright
`./gradlew spotlessCheck --init-script gradle/init.gradle.kts --no-configuration-cache`
To apply changes automatically run `spotlessApply` instead of `spotlessCheck`

## Gradle versions catalog
### Helpful commands:
Formatting the list:
`./gradlew versionCatalogFormat`

To check for updates on versions run
`./gradlew dependencyUpdates`

To update those libraries, run
`./gradlew versionCatalogUpdate --interactive`

Then look at the libs.version.toml.update and delete the libraries you don't want to update
After cleaning up unwanted updates run
`./gradlew versionCatalogApplyUpdates`

Read more about updating [here](https://github.com/littlerobots/version-catalog-update-plugin#updating-the-libsversionstoml-file)

# Testing with coverage
Create test reports by running
`./gradlew jacocoTestReport`

Outputs coverage reports for each module to qa-reports/coverage-reports-VersionName-VersionCode/

# Relevant info
https://www.nspop.dk/display/NDPV/Gravid+i+DK+%28Android%29+-+Leverancebeskrivelse
