/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2021-2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.mingraviditet.ui.main.more

import dk.nsp.mingraviditet.R
import dk.nsp.mingraviditet.gravidcompose.utils.GravidIconType

enum class MoreSection(open val title: Int, open val description: Int, open val icon: GravidIconType) {
    Support(
        title = R.string.more_support_title,
        description = R.string.more_support_description,
        icon = GravidIconType.Drawable(R.drawable.ic_support),
    ),
    Settings(
        title = R.string.more_settings_title,
        description = R.string.more_settings_description,
        icon = GravidIconType.Drawable(R.drawable.ic_settings),
    ),
    WorkInProgress(
        title = R.string.more_work_in_progress_title,
        description = R.string.more_work_in_progress_description,
        icon = GravidIconType.Drawable(R.drawable.ic_phone),
    ),
}
