/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.models

import dk.nsp.api.cms.models.NetworkArticle
import dk.nsp.api.cms.models.NetworkArticleCategory
import dk.nsp.api.cms.models.NetworkArticleSection
import dk.nsp.mingraviditet.database.model.ArticleCategoryEntity
import dk.nsp.mingraviditet.database.model.ArticleEntity
import dk.nsp.mingraviditet.database.model.ArticleSectionEntity

fun NetworkArticleCategory.toEntity(index: Int = 0): ArticleCategoryEntity =
    ArticleCategoryEntity(id = categoryId, categoryOrder = index, name = name, description = description, icon = icon, slug = slug)

fun NetworkArticle.toEntity(categoryId: Int, index: Int = 0): ArticleEntity =
    ArticleEntity(id, categoryId, index, title, searchOrder, lastUpdated, description, content)

fun NetworkArticleSection.toEntity(articleId: Int, index: Int = 0): ArticleSectionEntity = ArticleSectionEntity(
    id = id,
    articleId = articleId,
    sectionOrder = index,
    title = title,
    searchOrder = searchOrder,
    content = content,
)
