/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.domain.testdoubles

import dk.nsp.mingraviditet.database.dao.ArticleCategoryDao
import dk.nsp.mingraviditet.database.model.ArticleCategoryEntity
import dk.nsp.mingraviditet.database.model.ArticleCategoryWithArticleCountEntity
import dk.nsp.mingraviditet.database.model.PopulatedCategoryEntity
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.map
import kotlinx.coroutines.flow.update

class TestArticleCategoryDao : ArticleCategoryDao {
    private var entitiesStateFlow = MutableStateFlow(emptyList<ArticleCategoryEntity>())

    override suspend fun upsertArticleCategories(entities: List<ArticleCategoryEntity>) {
        TODO("Not yet implemented")
    }

    override fun getArticleCategories(): Flow<List<ArticleCategoryEntity>> {
        TODO("Not yet implemented")
    }

    override suspend fun insertOrReplaceArticleCategories(articleCategories: List<ArticleCategoryEntity>) {
        TODO("Not yet implemented")
    }

    override suspend fun insertArticleCategory(articleCategory: ArticleCategoryEntity) {
        entitiesStateFlow.update { oldValues ->
            (oldValues + listOf(articleCategory)).distinctBy(ArticleCategoryEntity::id)
        }
    }

    override fun getArticleCategoriesWithArticleCount(): Flow<List<ArticleCategoryWithArticleCountEntity>> = entitiesStateFlow.map {
        it.map { ArticleCategoryWithArticleCountEntity(it, 0) }
    }

    override fun getPopulatedCategory(categoryId: Int): Flow<PopulatedCategoryEntity> = entitiesStateFlow.map { categories ->
        PopulatedCategoryEntity(categories.first { it.id == categoryId }, emptyList())
    }
}
