/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2023 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.nsp.mingraviditet.gravidcompose.theme

import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.TextUnit
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

data class GravidDimens(
    val fontHero: TextUnit = 32.sp,
    val fontHeader1: TextUnit = 24.sp,
    val fontHeader2: TextUnit = 20.sp,
    val fontHeader3: TextUnit = 18.sp,
    val fontHeader4: TextUnit = 16.sp,
    val fontHeader5: TextUnit = 12.sp,
    val fontInfo: TextUnit = 12.sp,
    val fontBodyStandard: TextUnit = 16.sp,
    val fontBodySmall: TextUnit = 14.sp,

    val trumpSpacing: Dp = 4.dp,
    val defaultSpacing: Dp = 8.dp,
    val largeSpacing: Dp = 16.dp,
    val largerSpacing: Dp = 24.dp,
    val largestSpacing: Dp = 32.dp,

    // Constants used around the place
    val defaultCardElevation: Dp = 4.dp,
    val defaultCardCornerRadius: Dp = 12.dp,
    val largeCardCornerRadius: Dp = 12.dp,

    val defaultButtonCornerRadius: Dp = 8.dp,
    val detailsSurfaceCornerRadius: Dp = 12.dp,
)
